summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-python/keepassx
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-python/keepassx')
-rw-r--r--dev-python/keepassx/Manifest2
-rw-r--r--dev-python/keepassx/keepassx-0.0.3.ebuild33
-rw-r--r--dev-python/keepassx/keepassx-0.1.0.ebuild35
-rw-r--r--dev-python/keepassx/metadata.xml13
4 files changed, 83 insertions, 0 deletions
diff --git a/dev-python/keepassx/Manifest b/dev-python/keepassx/Manifest
new file mode 100644
index 00000000000..7571f43ccba
--- /dev/null
+++ b/dev-python/keepassx/Manifest
@@ -0,0 +1,2 @@
+DIST keepassx-0.0.3.tar.gz 15041 SHA256 d8cada98caf2aa77472de67efbec9818e5eb9c4e7a2d39a58ac02e5c2553c5ba SHA512 97ca5b00f8f565595ea78f43a152c752e7ae868ba15d8d3c48f3b75e56d266e28e99d1e61badec646f585bdeca42c49c0d2e19efd46bd79e9838d54293f5e784 WHIRLPOOL 89091f89248f0f4bb525e5dc47ccf228d401524968a76cf6605a790b86983ab9cbe0195dd4b067441975ebd9c58067ed4200f689bc3564427fc07d4620567797
+DIST keepassx-0.1.0.tar.gz 37022 SHA256 deba28c48e2400860095447143f4db840e312b3fd8961043023b7303edf91e9f SHA512 635f98d2a95a1e5cc4a5c08f8d261cdf5be9e5656df28c070250aed2dbc058c85b9d7ad81e69de1d9b095b0aac5e3c6bf3a6a54b0b4de9b5664348ca42bdc755 WHIRLPOOL 0be496ef696fc198755ec6c0e3f76743896ba44e72c443bd04eff25efdca481590ec51acbb655d7897b6d581f7cb344c00922c1530d73d81387fc2bb0d34f9e8
diff --git a/dev-python/keepassx/keepassx-0.0.3.ebuild b/dev-python/keepassx/keepassx-0.0.3.ebuild
new file mode 100644
index 00000000000..36e6f4b5c63
--- /dev/null
+++ b/dev-python/keepassx/keepassx-0.0.3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python API and CLI for KeePassX"
+HOMEPAGE="https://github.com/jamesls/python-keepassx https://pypi.python.org/pypi/keepassx"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+ dev-python/pycrypto[${PYTHON_USEDEP}]
+ dev-python/prettytable[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+
+python_test() {
+ py.test keepassx || die
+}
diff --git a/dev-python/keepassx/keepassx-0.1.0.ebuild b/dev-python/keepassx/keepassx-0.1.0.ebuild
new file mode 100644
index 00000000000..c3dee17179b
--- /dev/null
+++ b/dev-python/keepassx/keepassx-0.1.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python API and CLI for KeePassX"
+HOMEPAGE="https://github.com/jamesls/python-keepassx https://pypi.python.org/pypi/keepassx"
+SRC_URI="https://github.com/jamesls/python-keepassx/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+S=${WORKDIR}/python-${P}
+
+RDEPEND="
+ dev-python/pycrypto[${PYTHON_USEDEP}]
+ dev-python/prettytable[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}] )
+"
+python_test() {
+ py.test tests || die
+}
diff --git a/dev-python/keepassx/metadata.xml b/dev-python/keepassx/metadata.xml
new file mode 100644
index 00000000000..016bb1fcf2e
--- /dev/null
+++ b/dev-python/keepassx/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>python</herd>
+ <maintainer>
+ <email>jlec@gentoo.org</email>
+ <name>Justin Lecher</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">keepassx</remote-id>
+ <remote-id type="github">jamesls/python-keepassx</remote-id>
+ </upstream>
+</pkgmetadata>